package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.io.Serializable;
import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-03-05
 * 修订历史：2020-03-05
 * 描述：
 */
public class SendSettlement {


    /**
     * success : true
     * sysTime : 1583402463139
     * data : {"msg":"仍有臺號未結賬,請先結賬;","table":["外4","外2","外1","ceshitai1*","51533","51536","外5","外賣台2","509","510","511","51512","外賣台","102","51534","51531","51529","107","103","21","11A","10A","10","9","8","7","4"]}
     */

    private boolean success;
    private String errCode;
    private String errMsg;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getErrCode() {
        return errCode;
    }

    public void setErrCode(String errCode) {
        this.errCode = errCode;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * msg : 仍有臺號未結賬,請先結賬;
         * table : ["外4","外2","外1","ceshitai1*","51533","51536","外5","外賣台2","509","510","511","51512","外賣台","102","51534","51531","51529","107","103","21","11A","10A","10","9","8","7","4"]
         */

        private String msg;
        private List<String> table;

        private String type1;
        private String type2;
        private String type3;
        private List<DateNumBean> dateNum;

        private String errCode;


        public String getType1() {
            return type1;
        }

        public void setType1(String type1) {
            this.type1 = type1;
        }

        public String getType2() {
            return type2;
        }

        public void setType2(String type2) {
            this.type2 = type2;
        }

        public String getType3() {
            return type3;
        }

        public void setType3(String type3) {
            this.type3 = type3;
        }

        public List<DateNumBean> getDateNum() {
            return dateNum;
        }

        public void setDateNum(List<DateNumBean> dateNum) {
            this.dateNum = dateNum;
        }

        public String getMsg() {
            return msg;
        }

        public void setMsg(String msg) {
            this.msg = msg;
        }

        public List<String> getTable() {
            return table;
        }

        public void setTable(List<String> table) {
            this.table = table;
        }

        public String getErrCode() {
            return errCode;
        }

        public void setErrCode(String errCode) {
            this.errCode = errCode;
        }

        public static class DateNumBean  implements Serializable {

            private String date;
            private int num;

            public String getDate() {
                return date;
            }

            public void setDate(String date) {
                this.date = date;
            }

            public int getNum() {
                return num;
            }

            public void setNum(int num) {
                this.num = num;
            }
        }
    }
}
